CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

[OpenFOAM] Deb packages on Ubuntu 16.04: Problem with bash file

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   April 17, 2017, 07:09
Default [OpenFOAM] Deb packages on Ubuntu 16.04: Problem with bash file
  #1
New Member
 
Join Date: Apr 2017
Posts: 2
Rep Power: 0
f.fp is on a distinguished road
I installed OF on Ubuntu 16.04 LTS and it was not working properly. I realised then that two versions of OpenFoam were installed: 4 and -dev, I removed both and I tried to reinstall the former. However, after typing the commands:
sudo apt-get update I got the following error:

> W: GPG error: https://apt.dockerproject.org/repo ubuntu-yakkety
> InRelease: The following signatures couldn't be verified because the
> public key is not available: NO_PUBKEY F76221572C52609D W: The
> repository 'https://apt.dockerproject.org/repo ubuntu-yakkety
> InRelease' is not signed. N: Data from such a repository can't be
> authenticated and is therefore potentially dangerous to use. N: See
> apt-secure(8) manpage for repository creation and user configuration > details.

Furthermore, in my terminal these two messages appear:

bash: /opt/openfoam-dev/etc/bashrc: No such file or directory
bash: /opt/openfoam4/etc/bashr: No such file or directory

And I don't know how to remove them. Can anyone help me to fix this? I would like to perform a correct installation once for all!
f.fp is offline   Reply With Quote

Old   April 17, 2017, 10:51
Default
  #2
New Member
 
Join Date: Apr 2017
Posts: 2
Rep Power: 0
f.fp is on a distinguished road
or the first problem I think I have solved: it is sufficient to type
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys keyNo
where the last "keyNo" is the missing key.
As for the latter problem, opening the bash file and removing the last line(s) the problem desappears!
f.fp is offline   Reply With Quote

Old   April 24, 2017, 13:31
Default
  #3
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 9,892
Blog Entries: 39
Rep Power: 108
wyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of light
Greetings f.fp and welcome to the forum!

Many thanks for letting us know how you solved your problems!

Quote:
Originally Posted by f.fp View Post
As for the latter problem, opening the bash file and removing the last line(s) the problem desappears!
My guess is that you are referring here to the file "~/.bashrc", namely the file ".bashrc" that is your own home folder.

You can then source (active) one of the "bashrc" files for the OpenFOAM version that you want to use. If you want to be able to switch between versions of OpenFOAM, follow the instructions given here: https://openfoamwiki.net/index.php/I...nFOAM_versions

Best regards,
Bruno
__________________
wyldckat is offline   Reply With Quote

Reply

Tags
bashrc, installation, openfoam 4.0, ubuntu 16.04 lts

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Error creating ParaView-4.1.0 OpenFOAM 2.3.0 tlcoons OpenFOAM Installation 13 April 20, 2016 17:34
Swak4FOAM 0.2.3 / OF2.2.x installation error FerdiFuchs OpenFOAM Installation 27 April 16, 2014 15:14
Annoying issue of automatic "Rescale to Data Range " with paraFoam/paraview 3.12 keepfit OpenFOAM Paraview & paraFoam 60 September 18, 2013 03:23
funkySetFields compilation error tayo OpenFOAM 39 December 3, 2012 06:18
Version 15 on Mac OS X gschaider OpenFOAM Installation 120 December 2, 2009 11:23


All times are GMT -4. The time now is 02:47.